%define oname    UrbanTerror
%define majver   4.3
%define minver   4

Name:           urbanterror
Version:        %{majver}.%{minver}
Release:        %mkrel 1
Summary:        Urban Terror is a free multi-player first person shooter
License:        GPL-2.0-only
Group:          Games/Shooter
Url:            http://www.urbanterror.info/
Source0:        https://github.com/Barbatos/ioq3-for-%{oname}-4/archive/ioq3-for-%{oname}-4-release-%{version}.tar.gz
Source10:       %{name}-128.png
Source11:       %{name}-64.png
Source12:       %{name}-32.png
Source13:       %{name}-16.png
# Fix build with i586, force msse and msse2 flags needed for asm
Patch0:         urbanterror-fix-i586.patch
Patch1:         urbanterror-format_security.patch
Patch10:        urbanterror-mga-fix-install-dir.patch
ExclusiveArch:  %{ix86} x86_64
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(xxf86vm)

Requires:       opengl-games-utils
Requires:       %{name}-data >= %{version}

%description
Urban Terror(TM) is a free multi-player first person shooter developed by
FrozenSand, that (thanks to the ioquake3-code) does not require Quake III
Arena anymore. It is available for Windows, Linux and Macintosh.

Urban Terror can be described as a Hollywood tactical shooter; somewhat
realism based, but the motto is "fun over realism". This results in a very
unique, enjoyable and addictive game.

No registration required: Install&play!

This package contains the engine and game binary. For the server please install
%{name}-server.

%package server
Summary:        Standalone server for Urban Terror 4.x
Group:          Games/Shooter
Requires:       %{name}-data >= %{version}

%description server
Urban Terror standalone server.

%prep
%autosetup -p1 -n ioq3-for-UrbanTerror-4-release-%{version}

%build
%set_build_flags

%make_build \
	DEFAULT_BASEDIR=%{_gamesdatadir}/%{name} \
	USE_CURL=1 \
	USE_CURL_DLOPEN=0 \
	USE_OPENAL=1 \
	USE_OPENAL_DLOPEN=0 \
	USE_CODEC_VORBIS=1 \
	USE_LOCAL_HEADERS=0 \
	V=1 \
	BUILD_CLIENT=1 \
	BUILD_SERVER=1

%install
make copyfiles DESTDIR=%{buildroot}

install -D -m 644 %{SOURCE13} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m 644 %{SOURCE12} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m 644 %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Urban Terror
Comment=Urban Terror is a free multi-player first person shooter
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;
EOF

%files
%doc README id-readme.txt ioUrbanTerror_README.txt md4-readme.txt
%license COPYING.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files server
%doc README id-readme.txt ioUrbanTerror_README.txt md4-readme.txt
%license COPYING.txt
%{_gamesbindir}/%{name}-server


%changelog
* Sat Feb 03 2024 daviddavid <daviddavid> 4.3.4-1.mga10
+ Revision: 2036947
- new version: 4.3.4
- revive urbanterror (mga#27596)
+ akien <akien>
- Doesn't build.
- Mageia 6 rebuild

* Sun Feb 01 2015 juancho <juancho> 4.2.023-1.mga5.nonfree
+ Revision: 812936
- Updated to 4.0.23

* Tue Nov 25 2014 juancho <juancho> 4.2.021-1.mga5.nonfree
+ Revision: 798864
- Updated to 4.2.021

* Sat Nov 01 2014 akien <akien> 4.2.020-3.mga5.nonfree
+ Revision: 795169
- Change desktop category to Shooter

* Wed Oct 15 2014 umeabot <umeabot> 4.2.020-2.mga5.nonfree
+ Revision: 739716
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 juancho <juancho> 4.2.020-1.mga5.nonfree
+ Revision: 737034
- Updated to 4.2.020

* Wed Sep 17 2014 juancho <juancho> 4.2.019-1.mga5.nonfree
+ Revision: 692361
- Updated to version 4.2.019
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 juancho <juancho> 4.2.018-1.mga5.nonfree
+ Revision: 632697
- Update to latest version 4.2.018

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-6.mga4
+ Revision: 519907
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.1.1-5.mga3
+ Revision: 385101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 juancho <juancho> 4.1.1-4.mga3
+ Revision: 318433
- Change group to Shooter

* Tue Feb 14 2012 juancho <juancho> 4.1.1-3.mga2
+ Revision: 208595
- Updated autodownloader window title

* Wed Dec 07 2011 juancho <juancho> 4.1.1-2.mga2
+ Revision: 178480
- Added missing BuildRequires: desktop-file-utils
- Use the %%{name} macro instead of name in some places
- imported package urbanterror

